#if !defined(AFX_ATOMSELECTIONDIALOG_H__65B76469_C4BC_4D13_8A64_984F276950D9__INCLUDED_)
#define AFX_ATOMSELECTIONDIALOG_H__65B76469_C4BC_4D13_8A64_984F276950D9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AtomSelectionDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CAtomSelectionDialog dialog

#define		WM_ATOM_SELECT_DIALOG		(WM_USER + 29)
#define		WM_ATOM_SELECT_UPDATE		(WM_USER + 30)
#define		WM_ATOM_SELECT_RMSD_UPDATE	(WM_USER + 31)


class AtomPairSelection{
public:
	int indexA, indexB;
};


class CAtomSelectionDialog : public CDialog
{
// Construction
public:
	CAtomSelectionDialog(CWnd* pParent);

	CView *pView;
	
	int showAtom;

	BOOL Create();
	BOOL OnInitDialog();

	molecule *molA, *molB;

	BOOL validAtomSelection;

	list<int> selectA;
	list<int> selectB;
	array<BOOL> maskA;
	array<BOOL> maskB;

// Dialog Data
	//{{AFX_DATA(CAtomSelectionDialog)
	enum { IDD = IDD_MOL_ALIGN_DIALOG };
	CListCtrl	m_sel_list;
	CComboBox	m_A_mol;
	CComboBox	m_B_mol;
	CString	m_rmsd;
	BOOL	m_mass_weight;
	BOOL	m_auto_rmsd;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAtomSelectionDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	void LoadComboBox(CComboBox &m_combo, molecule *mol);
	void LoadSelectionList();

	// Generated message map functions
	//{{AFX_MSG(CAtomSelectionDialog)
	afx_msg LRESULT UpdateSelection(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT UpdateRmsd(WPARAM wParam, LPARAM lParam);
	virtual void OnCancel();
	afx_msg void OnSelchangeACombo();
	afx_msg void OnSelchangeBCombo();
	afx_msg void OnAddAButton();
	afx_msg void OnAddBButton();
	afx_msg void OnDeleteAButton();
	afx_msg void OnDeleteBButton();
	afx_msg void OnAlignButton();
	afx_msg void OnRmsdButton();
	afx_msg void OnAutoCheck();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ATOMSELECTIONDIALOG_H__65B76469_C4BC_4D13_8A64_984F276950D9__INCLUDED_)
