//	(c) 2000 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
//
//	Look-and-feel inspired by Xmol 
//	(http://www.networkcs.com/msc/docs/xmol/).
//
//	OpenGL selection code and quaterion rotation matrix
//	formulation from molview demo program by Mark Kilgard
//	(http://reality.sgi.com/opengl/OpenGLforX.html).
//
//	The printing routines are based on code from
//	Craig Fahrnbach <craignan@home.com> via
//	Uwe Kotyczka <kotyczka@bnm-gmbh.de>.
//
//	Covalent bond determination code based on VMD
//	http://www.ks.uiuc.edu/Research/vmd/
//
#if !defined(AFX_OPENCOORDDIALOG_H__ED2E25B6_E7BC_11D3_A365_00C04F72D141__INCLUDED_)
#define AFX_OPENCOORDDIALOG_H__ED2E25B6_E7BC_11D3_A365_00C04F72D141__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// OpenCoordDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// COpenCoordDialog dialog

class COpenCoordDialog : public CDialog
{
// Construction
public:
	COpenCoordDialog(CWnd* pParent = NULL);   // standard constructor
	BOOL OnInitDialog();

	CString GetFileName();
	int GetFileType();

	CString filename;
	int filetype;

// Dialog Data
	//{{AFX_DATA(COpenCoordDialog)
	enum { IDD = IDD_OPEN_COORD };
	CEdit	m_file_name;
	CComboBox	m_file_type;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COpenCoordDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(COpenCoordDialog)
	afx_msg void OnOpenCoordBrowse();
	virtual void OnCancel();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OPENCOORDDIALOG_H__ED2E25B6_E7BC_11D3_A365_00C04F72D141__INCLUDED_)
