// ProgressDialog.cpp : implementation file
//

#include "stdafx.h"
#include "Qmol.h"
#include "ProgressDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CProgressDialog dialog


CProgressDialog::CProgressDialog(CWnd* pParent, int m_total_time, int m_dt)
	: CDialog(CProgressDialog::IDD, pParent)
{
	dt = m_dt;
	total_time = m_total_time;
	//{{AFX_DATA_INIT(CProgressDialog)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CProgressDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CProgressDialog)
	DDX_Control(pDX, IDC_PROGRESS, m_progress);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CProgressDialog, CDialog)
	//{{AFX_MSG_MAP(CProgressDialog)
		ON_MESSAGE(WM_STEP_PROGRESS, OnReceiveStep)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CProgressDialog message handlers

BOOL CProgressDialog::Create()
{
	return CDialog::Create(CProgressDialog::IDD);
}

BOOL CProgressDialog::OnInitDialog()
{
	CDialog::OnInitDialog();

	m_progress.SetRange32(0, total_time);
	m_progress.SetStep(dt);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

// Close the Adjust Torsion dialog
LRESULT CProgressDialog::OnReceiveStep(WPARAM wParam, LPARAM lParam) 
{
	m_progress.StepIt();

	return 0L;
}